// Support_SpeedFactor.cs
// A really simple interface to scaling the speed of a player dynamically
// For allowing easy slowdown/speedups while remaining compatible with other scripts
// By Port (http://forum.blockland.us/?action=profile;u=136812)

function Player::updateSpeedFactor(%this)
{
	%data = %this.getDataBlock();
	%factor = %this.getSpeedFactor();

	%this.setMaxForwardSpeed(%data.maxForwardSpeed * %factor);
	%this.setMaxBackwardSpeed(%data.maxBackwardSpeed * %factor);
	%this.setMaxSideSpeed(%data.maxSideSpeed * %factor);
	%this.setMaxCrouchForwardSpeed(%data.maxForwardCrouchSpeed * %factor);
	%this.setMaxCrouchBackwardSpeed(%data.maxBackwardCrouchSpeed * %factor);
	%this.setMaxCrouchSideSpeed(%data.maxSideCrouchSpeed * %factor);
	%this.setMaxUnderwaterForwardSpeed(%data.maxUnderwaterForwardSpeed * %factor);
	%this.setMaxUnderwaterBackwardSpeed(%data.maxUnderwaterBackwardSpeed * %factor);
	%this.setMaxUnderwaterSideSpeed(%data.maxUnderwaterSideSpeed * %factor);
}

function Player::getSpeedFactor(%this)
{
	return 1;
}